<div class="card">
  <div class="card-body">

    <div class="alert alert-danger alert-dismissible" *ngIf="errorMessage != null">
      {{errorMessage}}
      <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close" (click)="errorMessage = null"></button>
    </div>

    <form (submit)="createNews($event)">
      <div class="mb-3">
        <label class="form-label">Headline</label>
        <input name="headline" class="form-control" type="text" required [(ngModel)]="headline">
      </div>
      <div class="mb-3">
        <label class="form-label">Content <span [ngClass]="getCharsLeft() < 0 ? 'text-danger' : 'text-muted'">({{getCharsLeft()}})</span></label>
        <textarea name="content" class="form-control" required [(ngModel)]="content"></textarea>
      </div>
      <button class="btn btn-block btn-outline-primary" [disabled]="getCharsLeft() < 0">Create News</button>
    </form>

  </div>
</div>
